03-04 创建和编辑AutoCAD实体(四) 编辑二维命名对象 (1)

  Edit Named and 2D Objects 编辑二维命名对象

Existing objects can be modified with the methods and properties associated with each object. If you modify a visible property of a graphic object, use the Regen method to redraw the object on screen. The Regen method is a member of the Editor object.

可以使用与对象关联的方法和属性对现有对象进行修改。如果修改了图形对象的可见性属性,记着用Regen方法重画屏幕上的对象。Regen方法是Editor对象的一个成员。

 

Topics in this section

本节内容

·         Work with Named Objects 使用命名对象

·         Erase Objects 删除对象

·         Copy Objects 复制对象

·         Offset Objects 偏移对象

·         Transform Objects 变换对象

·         Array Objects 阵列对象

·         Extend and Trim Objects 延伸和修剪对象

·         Explode Objects 分解对象

·         Edit Polylines 编辑多段线

·         Edit Splines 编辑样条曲线

·         Edit Hatches 编辑图案填充

  

1、Work with Named Objects使用命名对象

In addition to the graphical objects used by AutoCAD, there are several types of nongraphical objects stored in a drawing database. These objects have descriptive designations associated with them. For example, blocks, layers, groups, and dimension styles all have a name assigned to them and in most cases can be renamed. The names of symbol table records are displayed in the user interface of AutoCAD, while the object id of an object is used to reference the object in most cases throughout the .NET API.

AutoCAD除了使用图形对象外,还有许多非图形对象类型存储在图形数据库中。这些对象都有与之相关联的描述性名称。例如,块、图层、编组以及标注样式等,所有这些对象都被赋予一个名称,并且多数情况下可以对其重命名。符号表记录的名称直接显示在AutoCAD用户界面上,而多数情况下通过.NET API编程引用对象时使用的是对象的标识Id。

For example, the object id of a LayerTableRecord object is assigned to a graphical object’s Layer property and not the actual name that is assigned to the LayerTableRecord. However, the object id of a LayerTableRecord object can be obtained from the Layer table using the name of the layer you want to access.

例如,某图形对象的图层属性获得的赋值是LayerTableRecord对象的标识id,而不是LayerTableRecord对象的实际名称。不过,LayerTableRecord对象的标识id可以用所访问图层的名称从Layer表获得。

 

Topics in this section

本小节内容

·         Purge Unreferenced Named Objects 清理未引用的命名对象

·         Rename Objects 重命名对象

 

 

1.1、Purge Unreferenced Named Objects清理未引用的命名对象

Unreferenced named objects can be purged from a database at any time. You cannot purge named objects that are referenced by other objects. For example, a font file might be referenced by a text style or a layer might be referenced by the objects on that layer. Purging reduces the size of a drawing file when saved to disk.

可以随时将未引用的对象从数据库中清理出去。不可以清理被其他对象引用的对象。例如,某字体文件可能正由文字样式引用,或者,某图层正由该层上的对象引用。清理工作可以减小图形文件存盘时的大小。

Unreferenced objects are purged from a drawing database with the Purge method. The Purge method requires a list of objects you want to purge in the form of an ObjectIdCollection or ObjectIdGraph objects. The ObjectIdCollection or ObjectIdGraph objects passed into the Purge method are updated with the objects in which can be erased from the database. After the call to Purge, you must erase each individual object returned.

使用Puege方法从图形数据库中清除未引用对象。Purge方法需要一个包含要清除的对象的列表,列表为ObjectIdCollection对象或ObjectIdGraph对象。传入Purge方法的ObjectIdCollection对象或ObjectIdGraph对象会更新为只包含要从数据库中删除的对象。调用Purge方法后,必须显式地删除返回的每个对象。

VBA/ActiveX Cross Reference   VBA/ActiveX交叉参考

In the ActiveX Automation library you would use the PurgeAll method to remove all unreferenced named objects and it would identify which objects can be removed. However, with the .NET API you need to supply which objects you would like to purge and then the Purge method returns to you which ones actually can be. So there is a bit more work involved when working with the .NET API to purge all unreferenced named objects from a database.

在ActiveX Automation库中,我们使用PurgeAll方法删除所有未被引用的命名对象,而且该方法能够识别哪个对象可以删除。可是,使用.NET API我们需提供要清除的对象给Purge方法,然后Purge方法会返回实际可以删除的对象。可见,使用.NET API从数据库中清除所有未引用的命名对象时,相对繁琐一些。

ThisDrawing.PurgeAll

Purge all unreferenced layers 清除所有未引用的图层

The following example demonstrates how to purge all unreferenced layers from a database.

下面这个例子演示怎样从数据库清除所有未引用的图层。

VB.NET

Imports Autodesk.AutoCAD.Runtime

Imports Autodesk.AutoCAD.ApplicationServices

Imports Autodesk.AutoCAD.DatabaseServices

 

<CommandMethod("PurgeUnreferencedLayers")> _

Public Sub PurgeUnreferencedLayers()

  '' Get the current document and database

  Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument

  Dim acCurDb As Database = acDoc.Database

 

  '' Start a transaction

  Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()

 

      '' Open the Layer table for read

      Dim acLyrTbl As LayerTable

      acLyrTbl = acTrans.GetObject(acCurDb.LayerTableId, _

                                   OpenMode.ForRead)

 

      '' Create an ObjectIdCollection to hold the object ids for each table record

      Dim acObjIdColl As ObjectIdCollection = New ObjectIdCollection()

 

      '' Step through each layer and add it to the ObjectIdCollection

      For Each acObjId As ObjectId In acLyrTbl

          acObjIdColl.Add(acObjId)

      Next

 

      '' Remove the layers that are in use and return the ones that can be erased

      acCurDb.Purge(acObjIdColl)

 

      '' Step through the returned ObjectIdCollection

      For Each acObjId As ObjectId In acObjIdColl

          Dim acSymTblRec As SymbolTableRecord

          acSymTblRec = acTrans.GetObject(acObjId, _

                                          OpenMode.ForWrite)

 

          Try

              '' Erase the unreferenced layer

              acSymTblRec.Erase(True)

          Catch Ex As Autodesk.AutoCAD.Runtime.Exception

              '' Layer could not be deleted

              Application.ShowAlertDialog("Error:" & vbLf & Ex.Message)

          End Try

      Next

 

      '' Commit the changes and dispose of the transaction

      acTrans.Commit()

  End Using

End Sub

C#

using Autodesk.AutoCAD.Runtime;

using Autodesk.AutoCAD.ApplicationServices;

using Autodesk.AutoCAD.DatabaseServices;

 

[CommandMethod("PurgeUnreferencedLayers")]

public static void PurgeUnreferencedLayers()

{

  // Get the current document and database获取当前文档数据库

  Document acDoc = Application.DocumentManager.MdiActiveDocument;

  Database acCurDb = acDoc.Database;

 

  // Start a transaction启动事务

  using (Transaction acTrans = acCurDb.TransactionManager.StartTransaction())

  {

      // Open the Layer table for read以读打开Layer表

      LayerTable acLyrTbl;

      acLyrTbl = acTrans.GetObject(acCurDb.LayerTableId,

                                   OpenMode.ForRead) as LayerTable;

 

      // Create an ObjectIdCollection to hold the object ids for each table record

      // 创建ObjectIdCollection用来存放每条表记录的对象id;

      ObjectIdCollection acObjIdColl = new ObjectIdCollection();

 

      // Step through each layer and add iterator to the ObjectIdCollection

      // 遍历图层并将图层id添加到ObjectIdCollection

      foreach (ObjectId acObjId in acLyrTbl)

      {

          acObjIdColl.Add(acObjId);

      }

 

      // Remove the layers that are in use and return the ones that can be erased

      // 调用Purge方法:传入参数 - ObjectIdCollection对象;

      // 返回 – 更新了的ObjectIdCollection对象,包含可以删除的图层;

      acCurDb.Purge(acObjIdColl);

 

      // Step through the returned ObjectIdCollection

      // and erase each unreferenced layer

      // 遍历返回的ObjectIdCollection对象,并删除未引用的图层;

      foreach (ObjectId acObjId in acObjIdColl)

      {

          SymbolTableRecord acSymTblRec;

          acSymTblRec = acTrans.GetObject(acObjId,

                                          OpenMode.ForWrite) as SymbolTableRecord;

 

          try

          {

              // Erase the unreferenced layer删除未引用的图层

              acSymTblRec.Erase(true);

          }

          catch (Autodesk.AutoCAD.Runtime.Exception Ex)

          {

              // Layer could not be deleted图层不能删除

              Application.ShowAlertDialog("Error:\n" + Ex.Message);

          }

      }

 

      // Commit the changes and dispose of the transaction

      // 提交修改,关闭事务

      acTrans.Commit();

  }

}

 

1.2、Rename Objects重命名对象

As your drawings become more complex, you can rename objects to keep the names meaningful or to avoid conflicts with names in other drawings you have inserted or attached. The Name property is used to get the current name or change the name of a named object.

随着图形越来越复杂,我们可以给对象重新命名,以使对象名称有意义,或避免与所插入或附加的其他图形中的对象名发生冲突。Name属性用来获取命名对象的当前名称,也可用来修改命名对象的名称。

You can rename any named object except those reserved by AutoCAD, for example, layer 0 or the CONTINUOUS linetype.

我们可以对任何命名对象重命名,AutoCAD保留的除外,如图层0或CONTINUOUS线型。

Names can be up to 255 characters long. In addition to letters and numbers, names can contain spaces (although AutoCAD removes spaces that appear directly before and after a name) and any special character not used by Microsoft® Windows® or AutoCAD for other purposes. Special characters that you cannot use include less-than and greater-than symbols (< >), forward slashes and backslashes (/ \), quotation marks ("), colons (:), semicolons (;), question marks (?), commas (,), asterisks (*), vertical bars (|), equal signs (=), and single quotes ('). You also cannot use special characters created with Unicode fonts.

名称最长可以到255个字符,除字母和数字外,还可以包含空格(尽管AutoCAD会删除直接出现在名称前后的空格)以及Microsoft® Windows® 或AutoCAD没有使用的其他特殊字符。不能用于对象名称的特殊字符包括大于号和小于号(< >)、前后斜杠(/ \)、引号(”)、冒号(:)、分号(;)、问号(?)、逗号(,)、星号(*)、竖杠(|)、等号(=)及单引号(’)。Unicode字体创建的特殊字符也不能用。

Rename a layer 重命名图层

This example creates a copy of layer "0" and renames the new layer to “MyLayer”.

本例创建图层0的一个副本并命名为MyLayer。

VB.NET

Imports Autodesk.AutoCAD.Runtime

Imports Autodesk.AutoCAD.ApplicationServices

Imports Autodesk.AutoCAD.DatabaseServices

 

<CommandMethod("RenameLayer")> _

Public Sub RenameLayer()

  '' Get the current document and database

  Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument

  Dim acCurDb As Database = acDoc.Database

 

  '' Start a transaction

  Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()

 

      '' Returns the layer table for the current database

      Dim acLyrTbl As LayerTable

      acLyrTbl = acTrans.GetObject(acCurDb.LayerTableId, _

                                   OpenMode.ForWrite)

 

      '' Clone layer 0 (copy it and its properties) as a new layer

      Dim acLyrTblRec As LayerTableRecord

      acLyrTblRec = acTrans.GetObject(acLyrTbl("0"), _

                                      OpenMode.ForRead).Clone()

 

      '' Change the name of the cloned layer

      acLyrTblRec.Name = "MyLayer"

 

      '' Add the cloned layer to the Layer table and transaction

      acLyrTbl.Add(acLyrTblRec)

      acTrans.AddNewlyCreatedDBObject(acLyrTblRec, True)

 

      '' Save changes and dispose of the transaction

      acTrans.Commit()

  End Using

End Sub

C#

using Autodesk.AutoCAD.Runtime;

using Autodesk.AutoCAD.ApplicationServices;

using Autodesk.AutoCAD.DatabaseServices;

 

[CommandMethod("RenameLayer")]

public static void RenameLayer()

{

  // Get the current document and database获取当前文档和数据库

  Document acDoc = Application.DocumentManager.MdiActiveDocument;

  Database acCurDb = acDoc.Database;

 

  // Start a transaction启动事务

  using (Transaction acTrans = acCurDb.TransactionManager.StartTransaction())

  {

      // Returns the layer table for the current database

      // 返回当前数据库的图层表

      LayerTable acLyrTbl;

      acLyrTbl = acTrans.GetObject(acCurDb.LayerTableId,

                                   OpenMode.ForWrite) as LayerTable;

 

      // Clone layer 0 (copy it and its properties) as a new layer

      // 克隆图层0(复制其及其属性)

      LayerTableRecord acLyrTblRec;

      acLyrTblRec = acTrans.GetObject(acLyrTbl["0"],

                                      OpenMode.ForRead).Clone() as LayerTableRecord;

 

      // Change the name of the cloned layer

      // 修改克隆得到的图层的名称

      acLyrTblRec.Name = "MyLayer";

 

      // Add the cloned layer to the Layer table and transaction

      // 使用图层MyLayer可用

      acLyrTbl.Add(acLyrTblRec);

      acTrans.AddNewlyCreatedDBObject(acLyrTblRec, true);

 

      // Save changes and dispose of the transaction

      // 保存修改,关闭事务

      acTrans.Commit();

  }

}

 

2、Erase Objects删除对象

You can delete non-graphical and graphical objects with the Erase method.

我们可以使用Erase方法删除非图形对象及图形对象。

WarningWhile many non-graphical objects, such as the Layer table and Model space block table records have an Erase method, it should not be called. If Erase is called on one of these objects, an error will occur.

警告:尽管许多非图形对象,如Layer表及模型空间块表记录等,都拥有Erase方法,但不能对这些对象调用该方法,否则会发生错误。

Create and erase a polyline 创建一个多段线并删除它

This example creates a lightweight polyline, then erases it.

本例创建一个轻量级多段线,然后将它删除。

VB.NET

Imports Autodesk.AutoCAD.Runtime

Imports Autodesk.AutoCAD.ApplicationServices

Imports Autodesk.AutoCAD.DatabaseServices

Imports Autodesk.AutoCAD.Geometry

 

<CommandMethod("EraseObject")> _

Public Sub EraseObject()

  '' Get the current document and database

  Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument

  Dim acCurDb As Database = acDoc.Database

 

  '' Start a transaction

  Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()

 

      '' Open the Block table for read

      Dim acBlkTbl As BlockTable

      acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead)

 

      '' Open the Block table record Model space for write

      Dim acBlkTblRec As BlockTableRecord

      acBlkTblRec = acTrans.GetObject(acBlkTbl(BlockTableRecord.ModelSpace), _

                                      OpenMode.ForWrite)

 

      '' Create a lightweight polyline

      Dim acPoly As Polyline = New Polyline()

      acPoly.AddVertexAt(0, New Point2d(2, 4), 0, 0, 0)

      acPoly.AddVertexAt(1, New Point2d(4, 2), 0, 0, 0)

      acPoly.AddVertexAt(2, New Point2d(6, 4), 0, 0, 0)

 

      '' Add the new object to the block table record and the transaction

      acBlkTblRec.AppendEntity(acPoly)

      acTrans.AddNewlyCreatedDBObject(acPoly, True)

 

      '' Update the display and display an alert message

      acDoc.Editor.Regen()

      Application.ShowAlertDialog("Erase the newly added polyline.")

 

      '' Erase the polyline from the drawing

      acPoly.Erase(True)

 

      '' Save the new object to the database

      acTrans.Commit()

  End Using

End Sub

C#

using Autodesk.AutoCAD.Runtime;

using Autodesk.AutoCAD.ApplicationServices;

using Autodesk.AutoCAD.DatabaseServices;

 

[CommandMethod("EraseObject")]

public static void EraseObject()

{

  // Get the current document and database获取当前文档和数据库

  Document acDoc = Application.DocumentManager.MdiActiveDocument;

  Database acCurDb = acDoc.Database;

 

  // Start a transaction启动事务

  using (Transaction acTrans = acCurDb.TransactionManager.StartTransaction())

  {

      // Open the Block table for read以读打开块表

      BlockTable acBlkTbl;

      acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId,

                                   OpenMode.ForRead) as BlockTable;

 

      // Open the Block table record Model space for write

      // 以写打开块表记录模型空间

      BlockTableRecord acBlkTblRec;

      acBlkTblRec = acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace],

                                      OpenMode.ForWrite) as BlockTableRecord;

 

      // Create a lightweight polyline创建轻量级多段线

      Polyline acPoly = new Polyline();

      acPoly.AddVertexAt(0, new Point2d(2, 4), 0, 0, 0);

      acPoly.AddVertexAt(1, new Point2d(4, 2), 0, 0, 0);

      acPoly.AddVertexAt(2, new Point2d(6, 4), 0, 0, 0);

 

      // Add the new object to the block table record and the transaction

      // 添加新对象到块表记录和事务

      acBlkTblRec.AppendEntity(acPoly);

      acTrans.AddNewlyCreatedDBObject(acPoly, true);

 

      // Update the display and display an alert message

      // 更新显示并显示一条告警消息

      acDoc.Editor.Regen();

      Application.ShowAlertDialog("Erase the newly added polyline.");

 

      // Erase the polyline from the drawing

      // 从图形中删除多段线

      acPoly.Erase(true);

 

      // Save the new object to the database

      // 提交修改

      acTrans.Commit();

  }

}

VBA/ActiveX Code Reference

Sub EraseObject()

    ' Create the polyline

    Dim lwpolyObj As AcadLWPolyline

    Dim vertices(0 To 5) As Double

    vertices(0) = 2: vertices(1) = 4

    vertices(2) = 4: vertices(3) = 2

    vertices(4) = 6: vertices(5) = 4

    Set lwpolyObj = ThisDrawing.ModelSpace. _

                                     AddLightWeightPolyline(vertices)

    ZoomAll

    ' Erase the polyline

    lwpolyObj.Delete

    ThisDrawing.Regen acActiveViewport

End Sub

 

从acdbmgd.dll导出的内容,方便参考,格式如下: 类:Autodesk.AutoCAD.DatabaseServices.TextStyleTableRecord:Autodesk.AutoCAD.DatabaseServices.SymbolTableRecord New() 方法: {dtor}() {dtor}() {dtor}() {dtor}() ApplyPaperOrientationTransform(Viewport) ApplyPartialUndo(DwgFiler,RXClass) Audit(AuditInfo) Cancel() Close() CloseAndPage(Boolean) CopyFrom(RXObject) CreateExtensionDictionary() DisableUndoRecording(Boolean) Dispose() DowngradeOpen() DowngradeToNotify(Boolean) DwgIn(DwgFiler) DwgOut(DwgFiler) DxfIn(DxfFiler) DxfOut(DxfFiler) Erase() Erase(Boolean) HandOverTo(DBObject,Boolean,Boolean) ReleaseExtensionDictionary() RemoveField(ObjectId) ResetScaleDependentProperties() SetObjectIdsInFlux() SetPaperOrientation(Boolean) SwapIdWith(ObjectId,Boolean,Boolean) SwapReferences(IdMapping) UpgradeOpen() ViewportDraw(ViewportDraw) XDataTransformBy(Matrix3d) 函数: Clone() AS System.Object CompareTo(Object) AS System.Int32 CreateObjRef(Type) AS System.Runtime.Remoting.ObjRef DecomposeForSave(DwgVersion) AS Autodesk.AutoCAD.DatabaseServices.DecomposeForSaveReplacementRecord DeepClone(DBObject,IdMapping,Boolean) AS Autodesk.AutoCAD.DatabaseServices.DBObject Equals(Object) AS System.Boolean GetHashCode() AS System.Int32 GetLifetimeService() AS System.Object GetObjectSaveVersion(DwgFiler) AS Autodesk.AutoCAD.DatabaseServices.FullDwgVersion GetObjectSaveVersion(DxfFiler) AS Autodesk.AutoCAD.DatabaseServices.FullDwgVersion GetPersistentReactorIds() AS Autodesk.AutoCAD.DatabaseServices.ObjectIdCollection GetReactors() AS System.Collections.Generic.List`1[[Autodesk.AutoCAD.Runtime.RXObject, acdbmgd, Version=17.1.0.0, Culture=neutral, PublicKeyToken=null]] GetRXClass() AS Autodesk.AutoCAD.Runtime.RXClass GetType() AS System.Type GetXDataForApplication(String) AS Autodesk.AutoCAD.DatabaseServices.ResultBuffer HasPersistentReactor(ObjectId) AS System.Boolean InitializeLifetimeService() AS System.Object QueryX(RXClass) AS System.IntPtr RemoveField() AS Autodesk.AutoCAD.DatabaseServices.ObjectId RemoveField(String) AS Autodesk.AutoCAD.DatabaseServices.ObjectId SetAttributes(DrawableTraits) AS System.Int32 SetField(Field) AS Autodesk.AutoCAD.DatabaseServices.ObjectId SetField(String,Field) AS Autodesk.AutoCAD.DatabaseServices.ObjectId SetFromStyle() AS System.Boolean ToString() AS System.String UpgradeFromNotify() AS System.Boolean ViewportDrawLogicalFlags(ViewportDraw) AS System.Int32 WblockClone(RXObject,IdMapping,Boolean) AS Autodesk.AutoCAD.DatabaseServices.DBObject WorldDraw(WorldDraw) AS System.Boolean X(RXClass) AS System.IntPtr 属性: AcadObject AS System.Object 可读不可写 Annotative AS Autodesk.AutoCAD.DatabaseServices.AnnotativeStates 可读可写 AutoDelete AS System.Boolean 可读可写 BigFontFileName AS System.String 可读可写 ClassID AS System.Guid 可读不可写 Database AS Autodesk.AutoCAD.DatabaseServices.Database 可读不可写 Drawable AS Autodesk.AutoCAD.GraphicsInterface.Drawable 可读不可写 DrawableType AS Autodesk.AutoCAD.GraphicsInterface.DrawableType 可读不可写 ExtensionDictionary AS Autodesk.AutoCAD.DatabaseServices.ObjectId 可读不可写 FileName AS System.String 可读可写 FlagBits AS System.Byte 可读可写 Font AS Autodesk.AutoCAD.GraphicsInterface.FontDescriptor 可读可写 Handle AS Autodesk.AutoCAD.DatabaseServices.Handle 可读不可写 HasFields AS System.Boolean 可读不可写 HasSaveVersionOverride AS System.Boolean 可读可写 Id AS Autodesk.AutoCAD.DatabaseServices.ObjectId 可读不可写 IsAProxy AS System.Boolean 可读不可写 IsCancelling AS System.Boolean 可读不可写 IsDependent AS System.Boolean 可读不可写 IsDisposed AS System.Boolean 可读不可写 IsErased AS System.Boolean 可读不可写 IsEraseStatusToggled AS System.Boolean 可读不可写 IsModified AS System.Boolean 可读不可写 IsModifiedGraphics AS System.Boolean 可读不可写 IsModifiedXData AS System.Boolean 可读不可写 IsNewObject AS System.Boolean 可读不可写 IsNotifyEnabled AS System.Boolean 可读不可写 IsNotifying AS System.Boolean 可读不可写 IsObjectIdsInFlux AS System.Boolean 可读不可写 IsPersistent AS System.Boolean 可读不可写 IsReadEnabled AS System.Boolean 可读不可写 IsReallyClosing AS System.Boolean 可读不可写 IsResolved AS System.Boolean 可读不可写 IsShapeFile AS System.Boolean 可读可写 IsTransactionResident AS System.Boolean 可读不可写 IsUndoing AS System.Boolean 可读不可写 IsVertical AS System.Boolean 可读可写 IsWriteEnabled AS System.Boolean 可读不可写 MergeStyle AS Autodesk.AutoCAD.DatabaseServices.DuplicateRecordCloning 可读可写 Name AS System.String 可读可写 ObjectBirthVersion AS Autodesk.AutoCAD.DatabaseServices.FullDwgVersion 可读不可写 ObjectId AS Autodesk.AutoCAD.DatabaseServices.ObjectId 可读不可写 ObliquingAngle AS System.Double 可读可写 OwnerId AS Autodesk.AutoCAD.DatabaseServices.ObjectId 可读可写 PaperOrientation AS Autodesk.AutoCAD.DatabaseServices.PaperOrientationStates 可读不可写 PriorSize AS System.Double 可读可写 TextSize AS System.Double 可读可写 UndoFiler AS Autodesk.AutoCAD.DatabaseServices.DwgFiler 可读不可写 UnmanagedObject AS System.IntPtr 可读不可写 XData AS Autodesk.AutoCAD.DatabaseServices.ResultBuffer 可读可写 XScale AS System.Double 可读可写 -------------------------------- 类:Autodesk.AutoCAD.DatabaseServices.TextVerticalMode:System.Enum 函数: CompareTo(Object) AS System.Int32 Equals(Object) AS System.Boolean GetHashCode() AS System.Int32 GetType() AS System.Type GetTypeCode() AS System.TypeCode ToString() AS System.String ToString(IFormatProvider) AS System.String ToString(String,IFormatProvider) AS System.String ToString(String) AS System.String 字段: TextBase AS TextVerticalMode TextBottom AS TextVerticalMode TextTop AS TextVerticalMode TextVerticalMid AS TextVerticalMode value__ AS Int32
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值